package com.eitc.patient.dto;

import com.eitc.patient.domain.MedicalRecord;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

/**
 * MedicalRecordVO
 *
 * @author mtx
 * @date: 2024/05/17 14:42
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel("病例表")
public class MedicalRecordDto extends MedicalRecord {

    @ApiModelProperty(value = "查询范围", name = "queryScope")
    private Long queryScope;

}
