package com.eitc.patient.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * PatientTeethInfo
 *
 * @author mtx
 * @date: 2024/06/18 10:48
 */
@Data
@ApiModel("牙位信息")
public class PatientTeethInfoDto {

    @ApiModelProperty(value = "患者id", name = "patientId")
    private String patientId;
    @ApiModelProperty(value = "牙位", name = "toothPosition")
    private String toothPosition;
    @ApiModelProperty(value = "状态（1未完成，2已完成治疗）", name = "toothPositionStatus")
    private Integer toothPositionStatus;
    @ApiModelProperty(value = "状态（1未完成，2已完成治疗）", name = "status")
    private String status;
    @ApiModelProperty(value = "病历id", name = "medicalRecordId")
    private String medicalRecordId;
    @ApiModelProperty(value = "病历详情id", name = "medicalRecordDetailsId")
    private String medicalRecordDetailsId;
    @ApiModelProperty(value = "诊断分类名称", name = "diagnosisTypeName")
    private String diagnosisTypeName;
    @ApiModelProperty(value = "创建时间", name = "createDate")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createDate;

}
