package com.eitc.patient.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * CollectCostDetailsVO
 *
 * @author mtx
 * @date: 2024/07/22 16:35
 */
@Data
@ApiModel("收费分类详情表")
public class CollectCostDetailsVO {

    private String id;

    @ApiModelProperty(value = "项目编号", name = "projectCode")
    private String projectCode;

    @ApiModelProperty(value = "项目名称", name = "projectName")
    private String projectName;

    @ApiModelProperty(value = "单价", name = "unitPrice")
    private BigDecimal unitPrice;

    @ApiModelProperty(value = "优惠价格", name = "preferentialPrice")
    private BigDecimal preferentialPrice;

    @ApiModelProperty(value = "单位", name = "unit")
    private String unit;

    @ApiModelProperty(value = "数量", name = "total")
    private Integer total;

}
