package com.eitc.patient.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * CollectionDoctorVO
 *
 * @author mtx
 * @date: 2024/06/17 16:34
 */
@Data
@ApiModel("收藏医生")
public class CollectionDoctorVO {

    @ApiModelProperty(value = "医生id", name = "doctorId")
    @NotBlank(message = "医生id不能为空")
    private String doctorId;

    @ApiModelProperty(value = "头像", name = "avatar")
    private String avatar;

    @ApiModelProperty(value = "医生名称", name = "doctorName")
    private String doctorName;

    @ApiModelProperty(value = "岗位", name = "postName")
    private String postName;

    @ApiModelProperty(value = "标签", name = "label")
    private String label;

    @ApiModelProperty(value = "简介", name = "briefIntroduction")
    private String briefIntroduction;


}
