package com.eitc.patient.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.util.List;

/**
 * DiagnosisTypeCostProjectVO
 *
 * @author mtx
 * @date: 2024/07/22 16:10
 */
@Data
@ApiModel("诊断分类收费项目表")
public class DiagnosisTypeCostProjectVO {

    @ApiModelProperty(value = "诊断分类ID", name = "diagnosisTypeId")
    @NotBlank(message = "诊断分类ID不能为空")
    private String diagnosisTypeId;

    @ApiModelProperty(value = "收费分类详情", name = "collectCostDetailsVOList")
    private List<CollectCostDetailsVO> collectCostDetailsVOList;

}
