package com.eitc.patient.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.util.List;

/**
 * DiagnosisTypeTemplateVO
 *
 * @author mtx
 * @date: 2024/05/30 11:06
 */
@Data
@ApiModel("诊断分类模板保存参数")
public class DiagnosisTypeTemplateSaveVO {

    @NotBlank(message = "诊断分类id不能为空")
    @ApiModelProperty(value = "诊断分类id", name = "diagnosisTypeId")
    private String diagnosisTypeId;

    @ApiModelProperty(value = "模板列表", required = true, name = "diagnosisTypeTemplateList")
    private List<DiagnosisTypeTemplateVO> diagnosisTypeTemplateList;

}
