package com.eitc.patient.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;
import java.util.Map;

/**
 * FormattedPartsVO
 *
 * @author mtx
 * @date: 2024/06/07 8:57
 */
@Data
@ApiModel("病例详情表")
public class FormattedPartsVO {

    @ApiModelProperty(value = "类型", name = "type")
    private String type;
    @ApiModelProperty(value = "文本", name = "text")
    private String text;
    @ApiModelProperty(value = "值", name = "value")
    private String value;
    @ApiModelProperty(value = "选项", name = "options")
    private List<Map<String, String>> options;
    @ApiModelProperty(value = "索引", name = "index")
    private int index;

}
