package com.eitc.patient.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * MedicalRecordDetails
 *
 * @author mtx
 * @date: 2024/05/17 14:44
 */
@Data
@ApiModel("病例详情表")
public class MedicalRecordDetailsVO {

    private String medicalRecordDetailsId;
    @ApiModelProperty(value = "诊断分类模板id", name = "diagnosisTypeTemplateId")
    private String diagnosisTypeTemplateId;

    @ApiModelProperty(value = "诊断分类id", name = "diagnosisTypeId")
    private String diagnosisTypeId;

    @ApiModelProperty(value = "诊断分类Cn", name = "diagnosisTypeCn")
    private String diagnosisTypeCn;

    @ApiModelProperty(value = "牙位", name = "toothPosition")
    private String toothPosition;

    @ApiModelProperty(value = "模板名称", name = "templateName")
    private String templateName;

    @ApiModelProperty(value = "模板示例", name = "templateExample")
    private String templateExample;

    @ApiModelProperty(value = "模板示例", name = "templateExample2")
    private String templateExample2;

    @ApiModelProperty(value = "内容信息", name = "contentInfo")
    private String contentInfo;

    @ApiModelProperty(value = "模板信息", name = "templateInfo")
    private String templateInfo;

    @ApiModelProperty(value = "模板选项", name = "templateOption")
    private String templateOption;

    @ApiModelProperty(value = "患者病史", name = "patientMedicalRecord")
    private String patientMedicalRecord;

    @ApiModelProperty(value = "医生录入病史", name = "doctorMedicalRecord")
    private String doctorMedicalRecord;

    private List<String> formattedPartsList;

    @ApiModelProperty(value = "选项", name = "formattedParts")
    private List<FormattedPartsVO> formattedParts;

    private boolean flag = false;
    private boolean flagCheck;

}
