package com.eitc.patient.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * SchedulingConfigurationVO
 *
 * @author mtx
 * @date: 2024/07/04 8:41
 */
@Data
@ApiModel("排班配置")
public class SchedulingConfigurationVO {

    @ApiModelProperty(value = "医生id", name = "doctorId")
    private String doctorId;

    @ApiModelProperty(value = "医生名字", name = "doctorName")
    private String doctorName;

    @ApiModelProperty(value = "工作状态", name = "mondayStatus")
    private String mondayStatus;

    @ApiModelProperty(value = "工作状态", name = "tuesdayStatus")
    private String tuesdayStatus;

    @ApiModelProperty(value = "工作状态", name = "wednesdayStatus")
    private String wednesdayStatus;

    @ApiModelProperty(value = "工作状态", name = "thursdayStatus")
    private String thursdayStatus;

    @ApiModelProperty(value = "工作状态", name = "fridayStatus")
    private String fridayStatus;

    @ApiModelProperty(value = "工作状态", name = "saturdayStatus")
    private String saturdayStatus;

    @ApiModelProperty(value = "工作状态", name = "sundayStatus")
    private String sundayStatus;

}
