package com.eitc.framework.aspectj;

import lombok.extern.log4j.Log4j2;
import org.aspectj.lang.annotation.Aspect;
import org.aspectj.lang.annotation.Before;
import org.springframework.stereotype.Component;


@Log4j2
@Aspect
@Component
public class InterfaceVerificationAspet {


    @Before("@annotation(com.eitc.common.annotation.InterfaceVerification)")
    public void beforeAdvice() {
        log.info("接口验签开始");

    }
}
