package com.eitc.patient.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.eitc.common.core.domain.EitcBaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * SchedulingConfiguration
 *
 * @author mtx
 * @date: 2024/05/17 14:41
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel("排班配置")
@TableName("erm_scheduling_configuration")
public class SchedulingConfiguration extends EitcBaseEntity {

    @TableField(value = "doctor_id")
    @ApiModelProperty(value = "医生id", name = "doctorId")
    private String doctorId;

    @TableField(value = "week_num")
    @ApiModelProperty(value = "星期几", name = "weekNum")
    private Integer weekNum;

    @TableField(value = "work_status")
    @ApiModelProperty(value = "工作状态", name = "workStatus")
    private String workStatus;

}
