package com.eitc.patient.tree;

import com.eitc.patient.domain.AppointmentProject;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

/**
 * AppointmentProjectTree
 *
 * @author mtx
 * @date: 2024/05/17 17:01
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel("预约项目表")
public class AppointmentProjectTree extends AppointmentProject {

    @ApiModelProperty(value = "子集", name = "childrenList")
    private List<AppointmentProjectTree> childrenList;

}
