package com.eitc.patient.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * MedicalRecordVO
 *
 * @author mtx
 * @date: 2024/05/17 14:42
 */
@Data
@ApiModel("病例表")
public class MedicalRecordVO {

    @ApiModelProperty(value = "牙位", name = "toothPosition")
    private String toothPosition;

    @ApiModelProperty(value = "牙位状态（1未完成，2已完成治疗）", name = "toothStatus")
    private Integer toothStatus;

    @ApiModelProperty(value = "病历详情", name = "data")
    private List<MedicalRecordDetailsVO> data;

}
